Subject: [PATCH 1/2] ARM: shmobile: r8a7794: add MMCIF DT support

From: [email-masked] (Sergei Shtylyov)
Date: Thu, 19 Feb 2015 22:13:42 +0300

On 02/19/2015 08:55 PM, Simon Horman wrote:

>>>> Define the generic R8A7794 part of the MMCIF0 device node.

>>>> Based on the orginal patch by Shinobu Uehara <[email-masked]>.

>>>> Signed-off-by: Sergei Shtylyov <[email-masked]>

>>>> ---
>>>>   arch/arm/boot/dts/r8a7794.dtsi |   11 +++++++++++
>>>>   1 file changed, 11 insertions(+)

>>>> Index: renesas/arch/arm/boot/dts/r8a7794.dtsi
>>>> ===================================================================
>>>> --- renesas.orig/arch/arm/boot/dts/r8a7794.dtsi
>>>> +++ renesas/arch/arm/boot/dts/r8a7794.dtsi
>>>> @@ -346,6 +346,17 @@
>>>>   		status = "disabled";
>>>>   	};
>>>>
>>>> +	mmcif0: mmc at ee200000 {
>>>> +		compatible = "renesas,mmcif-r8a7794", "renesas,sh-mmcif";

>>> Please submit a patch to add "renesas,mmcif-r8a7794" to
>>> Documentation/devicetree/bindings/mmc/renesas,mmcif.txt.
>>> I looked and I couldn't find such a change in-tree or in-flight.

>>     That file doesn't match the reality at all. It says:

>> <<
>> - compatible: must contain one of the following
>>          - "renesas,mmcif-r8a7740" for the MMCIF found in r8a7740 SoCs
>>          - "renesas,mmcif-r8a7790" for the MMCIF found in r8a7790 SoCs
>>          - "renesas,mmcif-r8a7791" for the MMCIF found in r8a7791 SoCs
>>          - "renesas,sh-mmcif" for the generic MMCIF
>>>>

>> while in reality, the driver only matches on the latter string and doesn't
>> care for the SoC specific strings.

> By documenting the binding in that file it exists and may be used in DT
> nodes. It may or may not be used by the driver now or in the future.

    What's the use of binding the driver doesn't understand?

> For better or worse this one way that bindings may be handled.

> Strictly speaking it shouldn't be used in DT before it exists,
> even only in the documentation. But in this case its just a minor
> update to an existing scheme so it seems unlikely to be rejected.

    I don't think the minor update will be rejected, I just wanted to say that 
the binding should be edited to better reflect the reality as well. And it 
falls on my shoulders, unfortunately. :-)

WBR, Sergei